Skip to main content
GET
/
api2
/
v1
/
users
/
lastLogins
List last login dates
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/users/lastLogins \
  --header 'Authorization: <api-key>'
{
  "content": [
    {
      "lastLoginDate": "2023-11-07T05:31:56Z",
      "user": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      }
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

userName
string

Filter by username prefix

Maximum string length: 255
role
enum<string>[]

Filter by role

Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
sort
enum<string>[]

Sort field

Available options:
ID,
LAST_LOGIN_DATE
order
enum<string>[]

Sort order

Available options:
ASC,
DESC
pageNumber
integer<int32>
default:0

Page number, starting with 0

Required range: x >= 0
pageSize
integer<int32>
default:100

Page size, accepts values between 1 and 100

Required range: 1 <= x <= 100

Response

OK

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
sort
object
totalElements
integer<int32>
totalPages
integer<int32>